### Function

# ECal util_new_component

#### Declaration [src]

    ICalComponent*
    e_cal_util_new_component (
      ICalComponentKind kind
    )

#### Description [src]

Creates a new `ICalComponent` of the specified kind. Free it with g_object_unref(), when no longer needed.

#### Parameters

`kind`

  Type: `ICalComponentKind`

  Kind of the component to create, as `ICalComponentKind`.

#### Return value

Type: `None`

The newly created component.

The caller of the function takes ownership of the data, and is responsible for freeing it.